REM INSERTING into PATTERN
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (1,'Agnostic Capability','Agnostic service logic is partitioned into a set of well-defined capabilities that address common concerns not specific to any one problem.','http://www.soapatterns.org/agnostic_capability.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (2,'Agnostic Context','Isolate logic that is not specific to one purpose into separate services with distinct agnostic contexts.','http://www.soapatterns.org/agnostic_context.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (3,'Agnostic Sub-Controller','Reusable, cross-entity composition logic is abstracted or made accessible via an agnostic sub-controller capability, allowing that subset of the parent composition logic to be recomposed independently.','http://www.soapatterns.org/agnostic_subcontroller.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (4,'Asynchronous Queuing','A service can exchange messages with its consumers via an intermediary buffer, allowing service and consumers to process messages independently by remaining temporally decoupled.','http://www.soapatterns.org/asynchronous_queuing.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (5,'Atomic Service Transaction','Runtime service activities can be wrapped in a transaction with rollback feature that resets all actions and changes if the parent business task cannot be successfully completed.','http://www.soapatterns.org/atomic_service_transaction.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (6,'Brokered Authentication','An authentication broker with a centralized identity store assumes the responsibility for authenticating the consumer and issuing a token that the consumer can use to access the service.','http://www.soapatterns.org/brokered_authentication.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (7,'Canonical Expression','Service contracts are standardized using naming conventions','http://www.soapatterns.org/canonical_expression.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (8,'Canonical Protocol','The architecture establishes a single communications technology as the sole or primary medium by which services can interact','http://www.soapatterns.org/canonical_protocol.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (9,'Canonical Resources','The supporting infrastructure and architecture can be equipped with common resources and extensions that can be repeatedly utilized by different services.','http://www.soapatterns.org/canonical_resources.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (10,'Canonical Schema','Data models for common information sets are standardized across service contracts within an inventory boundary.','http://www.soapatterns.org/canonical_schema.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (11,'Canonical Schema Bus','Building upon the platform established by Enterprise Service Bus, this pattern positions entry points into the logic, data, and functions offered via the service bus environment as independently standardized service contracts.','http://www.soapatterns.org/canonical_schema_bus.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (12,'Canonical Versioning','Service contract versioning rules and the expression of version information are standardized within a service inventory boundary.','http://www.soapatterns.org/canonical_versioning.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (13,'Capability Composition','When requiring access to logic that falls outside of a services boundary, capability logic within the service is designed to compose one or more capabilities in other services.','http://www.soapatterns.org/capability_composition.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (14,'Capability Recomposition','Agnostic service capabilities can be designed to be repeatedly invoked in support of multiple compositions that solve multiple problems.','http://www.soapatterns.org/capability_recomposition.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (15,'Compatible Change','Some changes to the service contract can be backwardscompatible, thereby avoiding negative consumer impacts.','http://www.soapatterns.org/compatible_change.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (16,'Compensating Transaction','Compensating routines are introduced, allowing runtime exceptions to be resolved with the opportunity for reduced resource locking and memory consumption.','http://www.soapatterns.org/compensating_service_transaction.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (17,'Composition Autonomy','All composition participants can be isolated to maximize the autonomy of the composition as a whole.','http://www.soapatterns.org/composition_autonomy.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (18,'Concurrent Contracts','Multiple contracts can be created for a single service, each targeted at a specific type of consumer','http://www.soapatterns.org/concurrent_contracts.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (19,'Contract Centralization','Access to service logic is limited to the service contract, forcing consumers to avoid implementation coupling','http://www.soapatterns.org/contract_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (20,'Contract Denormalization','Service contracts can include a measured extent of denormalization, allowing multiple capabilities to redundantly express core functions in different ways for different types of consumer programs.','http://www.soapatterns.org/contract_denormalization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (21,'Cross-Domain Utility Layer','A common utility service layer can be established, spanning two or more domain service inventories.','http://www.soapatterns.org/cross_domain_utility_layer.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (22,'Data Confidentiality','The message contents are encrypted independently from the transport, ensuring that only intended recipients can access the protected data.','http://www.soapatterns.org/data_confidentiality.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (23,'Data Format Transformation','Intermediary data format transformation logic needs to be introduced in order to dynamically translate one data format into another','http://www.soapatterns.org/data_format_transformation.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (24,'Data Model Transformation','A data transformation technology can be incorporated to convert data between disparate schema structures.','http://www.soapatterns.org/data_model_transformation.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (25,'Data Origin Authentication','A message can be digitally signed so that the recipient services can verify that it originated from the expected consumer and that it has not been tampered with during transit. ','http://www.soapatterns.org/data_origin_authentication.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (26,'Decomposed Capability','Services prone to future decomposition can be equipped with a series of granular capabilities that more easily facilitate decomposition.','http://www.soapatterns.org/decomposed_capability.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (27,'Decoupled Contract','The service contract is physically decoupled from its implementation.','http://www.soapatterns.org/decoupled_contract.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (28,'Direct Authentication','Service capabilities require that consumers provide credentials that can be authenticated against an identity store. ','http://www.soapatterns.org/direct_authentication.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (29,'Distributed Capability','The underlying service logic is distributed, thereby allowing the implementation logic for a capability with unique processing requirements to be physically separated, while continuing to be represented by the same service contract. ','http://www.soapatterns.org/distributed_capability.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (30,'Domain Inventory','Services can be grouped into manageable, domain-specific service inventories, each of which can be independently standardized, governed, and owned. ','http://www.soapatterns.org/domain_inventory.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (31,'Dual Protocols','The service inventory architecture is designed to support services based on primary and secondary protocols. ','http://www.soapatterns.org/dual_protocols.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (32,'Enterprise Inventory','Services for multiple solutions can be designed for delivery within a standardized, enterprise-wide inventory architecture wherein they can be freely and repeatedly recomposed. ','http://www.soapatterns.org/enterprise_inventory.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (33,'Enterprise Service Bus','An enterprise service bus represents an environment designed to foster sophisticated interconnectivity between services. It establishes an intermediate layer of processing that can help overcome common problems associated with reliability, scalability, and communications disparity. ','http://www.soapatterns.org/enterprise_service_bus.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (34,'Entity Abstraction','An agnostic business service layer can be established, dedicated to services that base their functional context on existing business entities.','http://www.soapatterns.org/entity_abstraction.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (35,'Event-Driven Messaging','The consumer establishes itself as a subscriber of the service. The service, in turn, automatically issues notifications of relevant events to this and any of its subscribers.','http://www.soapatterns.org/event_driven_messaging.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (36,'Exception Shielding','Potentially unsafe exception data is ""sanitized"" by replacing it with exception data that is safe by design before it is made available to consumers.','http://www.soapatterns.org/exception_shielding.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (37,'Federated Endpoint Layer','Federation is an important concept in service-oriented computing. It represents the desired state of the external, consumer-facing perspective of a service inventory, as expressed by the collective contracts of all the inventorys services. ','http://www.soapatterns.org/federated_endpoint_layer.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (38,'File Gateway','Intermediary two-way file processing logic is positioned between the legacy system and the service. ','http://www.soapatterns.org/file_gateway.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (39,'Functional Decomposition','The large business problem can be broken down into a set of smaller, related problems, allowing the required solution logic to also be decomposed into a corresponding set of smaller, related solution logic units.','http://www.soapatterns.org/functional_decomposition.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (40,'Intermediate Routing','Message paths can be dynamically determined through the use of intermediary routing logic. ','http://www.soapatterns.org/intermediate_routing.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (41,'Inventory Endpoint','Abstract the relevant capabilities into an endpoint service that acts as a the official inventory entry point dedicated to a specific set of external consumers.','http://www.soapatterns.org/inventory_endpoint.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (42,'Legacy Wrapper','The non-standard wrapper service can be replaced by or further wrapped with a standardized service contract that extracts, encapsulates, and possibly eliminates legacy technical details from the contract. ','http://www.soapatterns.org/legacy_wrapper.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (43,'Logic Centralization','Access to reusable functionality is limited to official agnostic services.','http://www.soapatterns.org/logic_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (44,'Message Screening','The service is equipped or supplemented with special screening routines that assume that all input data is harmful until proven otherwise.','http://www.soapatterns.org/message_screening.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (45,'Messaging Metadata','Message contents can be supplemented with activity-specific metadata that can be interpreted and processed separately at runtime.','http://www.soapatterns.org/messaging_metadata.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (46,'Metadata Centralization','Service metadata can be centrally published in a service registry so as to provide a formal means of service registration and discovery.','http://www.soapatterns.org/metadata_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (47,'Multi-Channel Endpoint','An intermediary service is designed to encapsulate channelspecific legacy systems and expose a single standardized contract for multiple channel-specific consumers','http://www.soapatterns.org/multi_channel_endpoint.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (48,'Non-Agnostic Context','Non-agnostic solution logic suitable for service encapsulation can be located within services that reside as official members of a service inventory.','http://www.soapatterns.org/non_agnostic_context.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (49,'Official Endpoint','As important as it is to clearly differentiate Logic Centralization from Contract Centralization, it is equally important to understand how these two fundamental patterns can and should be used together. Applying these two patterns to the same service realizes the Official Endpoint compound pattern. The repeated application of Official Endpoint supports the goal of establishing a federated layer of service endpoints, which is why this compound pattern is also a part of Federated Endpoint Layer. ','http://www.soapatterns.org/official_endpoint.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (50,'Orchestration','An orchestration platform is dedicated to the effective maintenance and execution of parent business process logic. Modern-day orchestration environments are especially expected to support sophisticated and complex service composition logic that can result in long-running runtime activities.','http://www.soapatterns.org/orchestration.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (51,'Partial State Deferral','Even when services are required to remain stateful, a subset of their state data can be temporarily deferred. ','http://www.soapatterns.org/partial_state_deferral.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (52,'Partial Validation','A consumer program can be designed to only validate the relevant subset of the data and ignore the remainder. ','http://www.soapatterns.org/partial_validation.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (53,'Process Abstraction','A dedicated parent business process service layer is established to support governance independence and the positioning of task services as potential enterprise resources.','http://www.soapatterns.org/process_abstraction.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (54,'Process Centralization','Logic representing numerous business processes can be deployed and governed from a central location.','http://www.soapatterns.org/process_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (55,'Policy Centralization','Global or domain-specific policies can be isolated and applied to multiple services.','http://www.soapatterns.org/policy_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (56,'Protocol Bridging','Bridging logic is introduced to enable communication between different communication protocols by dynamically converting one protocol to another at runtime.','http://www.soapatterns.org/protocol_bridging.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (57,'Proxy Capability','The original service contract is preserved, even if underlying capability logic is separated, by turning the established capability definition into a proxy','http://www.soapatterns.org/proxy_capability.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (58,'Redundant Implementation','Reusable services can be deployed via redundant implementations or with failover support.','http://www.soapatterns.org/redundant_implementation.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (59,'Reliable Messaging','An intermediate reliability mechanism is introduced into the inventory architecture, ensuring that message delivery is guaranteed.','http://www.soapatterns.org/reliable_messaging.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (60,'Rules Centralization','The storage and management of business rules are positioned within a dedicated architectural extension from where they can be centrally accessed and maintained.','http://www.soapatterns.org/rules_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (61,'Schema Centralization','Select schemas that exist as physically separate parts of the service contract are shared across multiple contracts.','http://www.soapatterns.org/schema_centralization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (62,'Service Agent','Event-driven logic can be deferred to event-driven programs that dont require explicit invocation, thereby reducing the size and performance strain of service compositions.','http://www.soapatterns.org/service_agent.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (63,'Service Broker','Although all of the Service Broker patterns are used only out of necessity, establishing an environment capable of handling the three most common transformation requirements can add a great deal of flexibility to a service-oriented architecture implementation, and also has the added bonus of being able to perform more than one transformation function at the same time.','http://www.soapatterns.org/service_broker.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (64,'Service Callback','A service can require that consumers communicate with it asynchronously and provide a callback address to which the service can send response messages.','http://www.soapatterns.org/service_callback.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (65,'Service Data Replication','Services can have their own dedicated databases with replication to shared data sources.','http://www.soapatterns.org/service_data_replication.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (66,'Service Decomposition','An already implemented coarse-grained service can be decomposed into two or more fine-grained services.','http://www.soapatterns.org/service_decomposition.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (67,'Service Encapsulation','Solution logic can be encapsulated by a service so that it is positioned as an enterprise resource capable of functioning beyond the boundary for which it is initially delivered','http://www.soapatterns.org/service_encapsulation.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (68,'Service Facade','A service facade component is used to abstract a part of the service architecture with negative coupling potential.','http://www.soapatterns.org/service_facade.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (69,'Service Grid','State data is deferred to a collection of stateful system services that form a grid that provides high scalability and fault tolerance through memory replication and redundancy and supporting infrastructure.','http://www.soapatterns.org/service_grid.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (70,'Service Instance Routing','The service provides an instance identifier along with its destination information in a standardized format that shields the consumer from having to resort to custom logic','http://www.soapatterns.org/service_instance_routing.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (71,'Service Layers','The inventory is structured into two or more logical service layers, each of which is responsible for abstracting logic based on a common functional type.','http://www.soapatterns.org/service_layers.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (72,'Service Messaging','Services can be designed to interact via a messaging-based technology, which removes the need for persistent connections and reduces coupling requirements.','http://www.soapatterns.org/service_messaging.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (73,'Service Normalization','The service inventory needs to be designed with an emphasis on service boundary alignment.','http://www.soapatterns.org/service_normalization.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (74,'Service Perimeter Guard','An intermediate service is established at the perimeter of the private network as a secure contact point for any external consumers that need to interact with internal services.','http://www.soapatterns.org/service_perimeter_guard.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (75,'Service Refactoring','The service contract is preserved to maintain existing consumer dependencies, but the underlying service logic and/or implementation are refactored.','http://www.soapatterns.org/service_refactoring.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (76,'State Messaging','Instead of retaining the state data in memory, its storage is temporarily delegated to messages.','http://www.soapatterns.org/state_messaging.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (77,'State Repository','State data can be temporarily written to and then later retrieved from a dedicated state repository. ','http://www.soapatterns.org/state_repository.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (78,'Stateful Services','State data is managed and stored by intentionally stateful utility services.','http://www.soapatterns.org/stateful_services.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (79,'Termination Notification','Service contracts can be designed to express termination information for programmatic and human consumption.','http://www.soapatterns.org/termination_notification.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (80,'Three-Layer Inventory','This compound pattern is simply comprised of the combined application of the three service layer patterns. Three-Layer Inventory exists because the combined application of these three patterns results in common layers of abstraction that have been proven to complement and support each other by establishing services with flexible variations of agnostic and non-agnostic functional contexts. ','http://www.soapatterns.org/three_layer_inventory.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (81,'Trusted Subsystem','The service is designed to use its own credentials for authentication and authorization with backend resources on behalf of consumers.','http://www.soapatterns.org/trusted_subsystem.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (82,'UI Mediator','Establish mediator logic solely responsible for ensuring timely interaction and feedback with user-interfaces and presentation logic.','http://www.soapatterns.org/ui_mediator.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (83,'Utility Abstraction','A service layer dedicated to utility processing is established, providing reusable utility services for use by other services in the inventory','http://www.soapatterns.org/utility_abstraction.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (84,'Validation Abstraction','Granular validation logic and rules can be abstracted away from the service contract, thereby decreasing constraint granularity and increasing the contract''''s potential longevity.','http://www.soapatterns.org/validation_abstraction.php');
Insert into CTUSR.PATTERN (PATTERN_ID,PATTERN_NAME,PATTERN_DESCRIPTION,PATTERN_URL) values (85,'Version Identification ','Versioning information pertaining to compatible and incompatible changes can be expressed as part of the service contract, both for communication and enforcement purposes.','http://www.soapatterns.org/version_identification.php');
